use engine::prelude::*;

create_settings_section!(
    GeneralSettings,
    "General",
    {
        special_chance: f32,
        radius: f32,
        boss_hp_bar_radius: f32,
    }
);

create_settings_section!(
    BasicMobSettings,
    "BasicMobs",
    {
        min_count: u32,
        max_count: u32,
    }
);

create_settings_section!(
    EliteMobSettings,
    "EliteMobs",
    {
        min_count: u32,
        max_count: u32,
    }
);

create_settings_container!(
    MobSettings,
    {
        general: GeneralSettings,
        basic_mobs: BasicMobSettings,
        elite_mobs: EliteMobSettings,
    }
);
